# Camera available

A decision block that checks if a camera is available.

If the proceed option is set to Immediately, then check if the specified camera or any camera is available, or not, without pausing the fiber. If set to When changed then the fiber will pause until the specified camera or any camera becomes available, or unavailable.

Note! This feature requires Android 5+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Camera — camera to check availability for, default any camera.

## Output variables

- Camera id — variable to assign the id of the camera that the became available or unavailable, maybe `null` when unavailable.